<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>Comic</title>
  
  <link href="http://fonts.googleapis.com/css?family=Roboto:300" rel="stylesheet">
  <link rel="stylesheet" href="custom.css">
  <style>
    #comic_container {
      max-width: 100%;
      margin: 0 auto;
      text-align: center;
    }
    img#comic {
      max-width: 100%;
    }
    #comic_loading {
      position: fixed;
      top: 30%;
      padding: 20px;
      background: white;
      border-radius: 10px;
      box-shadow: 0px 0px 10px 0px rgba(50, 50, 50, 1);
      outline: 2000px solid rgba(0,0,0,0.3);
      left:0;
      right:0;
      margin-left:auto;
      margin-right:auto;
      width: 170px;
    }
  </style>
  
  <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
  <script>
    // -------------------------------------------------------------------------
    // DaVince's simple comic script
    // Powered by JavaScript & jQuery!
    // v0.31
    // 29 Dec 2014
    // -------------------------------------------------------------------------
    
    var MANGA_MODE = true; //set to true to flip the functionality of next and previous.
    
    //Start of borrowed PHP
    <?php 
      // This bit of PHP was modified from:                                        //
      // Comic Gallery 1.2, Copyright (C) 2005 Stuart Robertson                    //
      // http://www.designmeme.com/                                                //
      // GPL 2.0 License: http://creativecommons.org/licenses/GPL/2.0/             //
      
      // Your images directory, relative to the page calling this script.
      $imagedir="images";
      
      // Don't edit the rest.
      $pics=array();
      $count=0;
      $comicdir=opendir($imagedir);
      
      // read directory into pics array
      while (($file = readdir($comicdir))!==false) {
        //  filter for jpg, gif or png files...   
        if (substr($file,-4) == ".jpg" || substr($file,-4) == ".jpeg" || substr($file,-4) == ".gif" || substr($file,-4) == ".png" || substr($file,-4) == ".JPG" || substr($file,-4) == ".JPEG" || substr($file,-4) == ".GIF" || substr($file,-4) == ".PNG") {
          $pics[$count] = $file;
          $count++;
        }
      }
      closedir($comicdir); 
      sort($pics); //sort the filenames alphabetically
      reset($pics);
    ?>
    //End of borrowed PHP
    
    // Get the pictures from the PHP array.
    <?php
      echo 'var pics = ["' . $imagedir . "/" . implode('", "' . $imagedir . "/", $pics) . '"];';
    ?>
  </script>
  
  <script>
    var curpage = 1;
    var notonhashchange = false;
    
    $(document).ready(function() {
      if (window.location.hash.length > 0) //We have a #hash
        curpage = parseInt(window.location.hash.substring(1, window.location.hash.length)); //Get page number (like comicgallery-davince.php#3 for page 3)
      SwitchToPage(curpage-1); //-1 is because the array starts at 0, which is page 1 in the hash.
      
      //Switch comics when changing just the hash of the page. No page reloads needed!
      $(window).on('hashchange',function(){
        if (notonhashchange) { notonhashchange = false; return; }
        if (curpage == parseInt(window.location.hash.substring(1, window.location.hash.length))) return;
        curpage = parseInt(window.location.hash.substring(1, window.location.hash.length));
        SwitchToPage(curpage-1);
      });
      
      //Make tags with these classes act like this.
      $(".prevpage").click(function() { curpage--; SwitchToPage(curpage); })
      $(".nextpage").click(function() { curpage++; SwitchToPage(curpage); })
      $(".firstpage").click(function() { curpage = 0; SwitchToPage(curpage); })
      $(".lastpage").click(function() { curpage = pics.length-1; SwitchToPage(curpage); })
      
      //Keyboard input.
      $(window).on('keydown', function(e) {
        //console.log("key " + e.keyCode + " pressed");
        var prevkey = MANGA_MODE ? 39 : 37;
        var nextkey = MANGA_MODE ? 37 : 39;
        
        if (e.keyCode == prevkey) {
          curpage--;
          if (curpage < 0) { curpage = 0; return; }
          SwitchToPage(curpage);
        }
        
        else if (e.keyCode == nextkey) {
          curpage++;
          if (curpage > pics.length-1) { curpage = pics.length-1; return; }
          SwitchToPage(curpage);
        }
      });
      
    });
    
    
    /** Switch to the appropriate page. */
    function SwitchToPage(which) {
      if (pics.length == 0) return;
      //Go to first or last page in case of invalid numbers
      if (which < 0) which = 0;
      else if (which >= pics.length) which = pics.length-1;
      
      curpage = which;
      $("#comment").hide();
      
      //Load new image.
      var newimg = new Image();
      newimg.src = pics[which];
      notonhashchange = true;
      
      //If image was already loaded, just skip showing the loadi screen.
      if (newimg.complete) {
        ShowLoadedImage(which);
        return;
      }
      
      //Else, show it and fire handler.
      $("#comic_loading").fadeIn(50);
      newimg.onload = function() { ShowLoadedImage(which) };
    }
    
    /** Display the image after it has been loaded. */
    function ShowLoadedImage(which) {
      $('html, body').scrollTop($("#comic").offset().top);
      $("#comic").attr("src", pics[which]);
      $("#comic_loading").fadeOut(0); //unlike hide(), fadeOut(0) will cancel any in-progress fadeIn
      
      window.location.hash = "#"+(curpage+1);
      $("#comment").html((comments[curpage+1]!=undefined)?comments[curpage+1]:"");
      $("#comment").show();
    }
  </script>
  <script type="text/javascript" src="comic-comments.js"></script>
</head>

<body>
  <div id="comic_container">
    
    <!-- Loading message -->
    <div id="comic_loading">
      Loading image...
    </div>
    
    <!-- Comic image -->
    <a class="nextpage" id="comic_page" href="javascript:;">
      <img id="comic" src="" alt="comic">
    </a>
    
    <!-- Comment -->
    <p id="comment"></p>
    
    <!-- First/Previous/Next/Last links -->
    <p>
      <script>
        if (MANGA_MODE) {
          document.write('<a class="lastpage" href="javascript:;"><< Last</a> ⋅ ' +
                         '<a class="nextpage" href="javascript:;">< Next</a> ⋅ ' +
                         '<a class="prevpage" href="javascript:;">Previous ></a> ⋅ ' +
                         '<a class="firstpage" href="javascript:;">First >></a>');
        }
        else {
          document.write('<a class="firstpage" href="javascript:;">|< First</a> ⋅ ' +
                         '<a class="prevpage" href="javascript:;">< Previous</a> ⋅ ' +
                         '<a class="nextpage" href="javascript:;">Next ></a> ⋅ ' +
                         '<a class="lastpage" href="javascript:;">Last >></a>');
        }
      </script>
    </p>
    
    <!-- List chapters. -->
    <h2>Chapters</h2>
    <p>
      <a href="#1">Chapter 1</a>
    </p>
    
  </div><!--/comic_container-->

</body>
</html>
